# OpenLayers.Protocol.WFS

Used to create a versioned WFS protocol. Default version is 1.0.0.

#### Returns

{OpenLayers.Protocol} A WFS protocol of the given version.

#### Example

>     var protocol = new OpenLayers.Protocol.WFS({
>         version: "1.1.0",
>         url:  "http://demo.opengeo.org/geoserver/wfs",
>         featureType: "tasmania_roads",
>         featureNS: "http://www.openplans.org/topp",
>         geometryName: "the_geom"
>     });

See the protocols for specific WFS versions for more detail.

Summary

OpenLayers.Protocol.WFS | Used to create a versioned WFS protocol.
Functions |
fromWMSLayer | Convenience function to create a WFS protocol from a WMS layer.
Constants |
OpenLayers.Protocol.WFS.DEFAULTS |

### Functions

### fromWMSLayer

> OpenLayers.Protocol.WFS.fromWMSLayer = function( | layer,
> | options | )

Convenience function to create a WFS protocol from a WMS layer. This makes the assumption that a WFS requests can be issued at the same URL as WMS requests and that a WFS featureType exists with the same name as the WMS layer.

This function is designed to auto-configure url, <featureType>, <featurePrefix> and <srsName> for WFS <version> 1.1.0. Note that srsName matching with the WMS layer will not work with WFS 1.0.0.

#### Parameters

layer | {OpenLayers.Layer.WMS} WMS layer that has a matching WFS FeatureType at the same server url with the same typename.
options | {Object} Default properties to be set on the protocol.

### Constants

### OpenLayers.Protocol.WFS.DEFAULTS

> OpenLayers.Protocol.WFS.fromWMSLayer = function( | layer,
> | options | )

Convenience function to create a WFS protocol from a WMS layer.
Abstract vector layer protocol class.
{String | Array} The base URL for the layer cache.
Instances of OpenLayers.Layer.WMS are used to display data from OGC Web Mapping Services.
Close